
const btnMenuMain = document.querySelector('.btn-menu-main-toggle');
const btnSearch = document.querySelector('.btn-search-toggle');
const btnMenuSocial = document.querySelector('.btn-menu-share-toggle');
const btnSearchClose = document.querySelector('.btn-search-close');
const searchForm = document.querySelector('.search');
const body = document.body;

/*
  Whenever we click one of the three buttons in the header
  we will add or remove classes from the BODY element.

  Then we will use CSS descendent selectors to show or hide
  menus or the search box depending on which classes have
  been added to or removed from the BODY.

*/

btnMenuMain.addEventListener('click', function(){

  body.classList.toggle('menu-left');
  howManyMenus();
  gotoTop();
});

btnMenuSocial.addEventListener('click', function(){
  body.classList.toggle('menu-right');
  howManyMenus();

  gotoTop();
});

btnSearch.addEventListener('click', function(){
   body.classList.toggle('menu-search');
   gotoTop();
});

btnSearchClose.addEventListener('click', function(){
  body.classList.remove('menu-search');
});


// Whenever we add or remove menu-left or menu-right to BODY,
// we need then to test the BODY classList to see if both menu
// classes are on the BODY. If yes, we add the
// menu-both class. If no, we remove menu-both.

function howManyMenus() {

  const cl = body.classList;

  if ( cl.contains('menu-left') && cl.contains('menu-right') ) {
    body.classList.add('menu-both');
  }
  else {
    body.classList.remove('menu-both');
  }

}

// Problem: if use has scrolled down the page and clicked the
// menu buttons, they might not see the menu come in. There are
// better ways to do this, though.

function gotoTop(){
  window.scrollTo(0,0);
}
